\( \newcommand{\E}{\mathrm{E}} \) \( \newcommand{\A}{\mathrm{A}} \) \( \newcommand{\R}{\mathrm{R}} \) \( \newcommand{\N}{\mathrm{N}} \) \( \newcommand{\Q}{\mathrm{Q}} \) \( \newcommand{\Z}{\mathrm{Z}} \) \( \def\ccSum #1#2#3{ \sum_{#1}^{#2}{#3} } \def\ccProd #1#2#3{ \sum_{#1}^{#2}{#3} }\)

CGAL 4.8 - 2D Periodic Triangulations

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Groups Pages
List of all members
Periodic_2TriangulationFaceBase_2 Concept Reference
Concepts

## Definition

At the base level (see Section Software Design), a face stores handles to its four vertices and to its four neighbor faces. The vertices and neighbors are indexed 0, 1 and 2. Neighbor \( i\) lies opposite to vertex \( i\).

Refines:
  TriangulationFaceBase_2

Has Models:
  CGAL::Periodic_2_triangulation_face_base_2

See Also
  `TriangulationDataStructure_2`
  `TriangulationFaceBase_2`
  `Periodic_2TriangulationVertexBase_2`

## Access Functions
int | offset (int i) const
| Returns the offset of vertex `i`. More...
bool | has_zero_offsets () const
| Returns true if the offset of vertex `i` is zero for \( i \in\{0, 1, 2\}\).

## Setting
void | set_offsets (int off0, int off1, int off2)
| Sets the vertex offsets according to `off0` to `off2`.

## Member Function Documentation

int Periodic_2TriangulationFaceBase_2::offset | ( | int | i) |  | const

Returns the offset of vertex `i`.

Precondition
  \( i \in\{0, 1, 2\}\).